library verilog;
use verilog.vl_types.all;
entity host_ft245_model_read is
    generic(
        IDLE            : integer := 0;
        ASSERT_RXF_N    : integer := 1;
        DELAY_RXF_N     : integer := 2;
        WAIT_FOR_CYCLE_END: integer := 3
    );
    port(
        CLK             : in     vl_logic;
        RST_N           : in     vl_logic;
        HOST_FT245_RXF_N: out    vl_logic;
        HOST_FT245_RD_N : in     vl_logic;
        HOST_FT245_READ_BYTE: out    vl_logic_vector(7 downto 0);
        TRANSMIT_BYTE   : in     vl_logic_vector(7 downto 0);
        START_READ_CYCLE: in     vl_logic;
        READ_CYCLE_RDY  : out    vl_logic;
        READ_CYCLE_COMPLETE: out    vl_logic
    );
end host_ft245_model_read;
