library verilog;
use verilog.vl_types.all;
entity ft_245_state_macine is
    generic(
        IDLE            : integer := 0;
        ASSERT_RD_N     : integer := 1;
        WAIT_FOR_RD_COMPLETION: integer := 2;
        WAIT_FOR_DE_ASSERT_RD_N: integer := 3;
        DE_ASSERT_RD_N  : integer := 4;
        ASSERT_WR       : integer := 5;
        WAIT_FOR_WR_COMPLETION: integer := 6;
        DE_ASSERT_WR    : integer := 7
    );
    port(
        CLK             : in     vl_logic;
        RST_N           : in     vl_logic;
        USB_RXF_N       : in     vl_logic;
        USB_TXE_N       : in     vl_logic;
        USB_RD_N        : out    vl_logic;
        USB_WR          : out    vl_logic;
        USB_TEST        : out    vl_logic;
        USB_REGISTER_DECODE: out    vl_logic_vector(7 downto 0);
        USB_DATA_IN     : in     vl_logic_vector(7 downto 0);
        USB_DATA_OUT    : out    vl_logic_vector(7 downto 0);
        DATA_BYTE_READY : out    vl_logic;
        RSB_INT_EN      : in     vl_logic;
        WRITE_EN        : in     vl_logic;
        WRITE_READY     : out    vl_logic;
        WRITE_BYTE      : in     vl_logic_vector(7 downto 0);
        WRITE_COMPLETE  : out    vl_logic;
        STATE_OUT       : out    vl_logic_vector(3 downto 0);
        TEST_SIGNAL1    : out    vl_logic;
        TEST_SIGNAL2    : out    vl_logic
    );
end ft_245_state_macine;
